* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: bebas neue, sans-serif;
    gap: 100px;
}

.bg {

    display: flex;
    justify-content: center;
    align-items: center;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: -1;
    background: linear-gradient(45deg, #000000, #2c0b3a, #000000, #ae00ff);
    background-size: 300% 300%;
    animation: gradientBG 15s ease infinite;
}

@keyframes gradientBG {
    0% {
        background-position: 0% 50%
    }

    50% {
        background-position: 100% 50%
    }

    100% {
        background-position: 0% 50%
    }
}

h1 {
    color: rgb(255, 255, 255);
    font-family: poppins, sans-serif;
    text-align: center;
    font-size: small;
    font-weight: medium;
}

.register-h1 {
    position: absolute;
    z-index: 2;
    border: #413740 1px solid;
    border-radius: 15px;
    backdrop-filter: blur(20px);
    box-shadow: 0 0 10px rgba(255, 255, 255, 0.3);
    background-color: transparent;
    backdrop-filter: blur(20px);
    margin-bottom: 300px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 40px;
    width: 250px;
    border-width: 1px;
    border-style: solid;
    border: #413740 1px solid;
    border-radius: 100px;
}

.form {
    z-index: 2;
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: center;
    color: thistle;
    margin-top: 100px;
    background-color: transparent;
    padding: 20px 40px;
    border: #413740 1px solid;
    border-radius: 15px;
    backdrop-filter: blur(20px);
    box-shadow: 0 0 10px rgba(255, 255, 255, 0.3);
    width: 300px;
    height: 300px;

}

.input,
.date,
.btn {
    margin-top: 12px;
    margin-bottom: 12px;
    padding: 10px;
    width: 250px;
    font-size: 16px;

    border: none;


}

.btn {
    color: rgb(41, 40, 40);
    margin-top: 12px;
    margin-bottom: 12px;
    padding: 10px;
    width: 250px;
    font-size: 16px;
    border-radius: 100px;
    border: none;

}

.input,
.date {
    color: rgb(158, 156, 156);
    background-color: transparent;
    border: #3f3749 1.6px solid;
    border-radius: 800px;
    font-family: poppins, sans-serif;
    font-size: small;
    box-shadow: #35024d 0px 0px 2px;
}

.input:focus,
.date:focus {

    outline: none;
    box-shadow: 0 0 5px rgba(43, 42, 43, 0.7);
    border: 1.6px solid rgb(45, 4, 78);
}

.btn:focus {

    outline: none;
    box-shadow: 0 0 5px rgb(178, 122, 252);
    border: none;
    background-color: rgb(20, 20, 20);
    color: rgb(178, 122, 252);
}

.random-shapes {
    position: relative;
    z-index: 1;
}

.rndm1 {
    margin-top: -99px;
    width: 50px;
    height: 50px;
    color: rgb(255, 255, 255);
    border-radius: 10px;
    backdrop-filter: blur(20px);
    box-shadow: 0 0 10px rgba(255, 255, 255, 0.3);

}

.rndm1 {

    background-color: rgba(255, 255, 255, 0);
    animation: moveShape 6s ease-in-out infinite;
    margin-bottom: 310px;
}

@keyframes moveShape {
    0% {
        transform: translateY(0) rotate(0deg);
        transform: translateX(-150px) rotate(0deg);
    }

    50% {
        transform: translateY(200px) rotate(180deg);
        transform: translateX(200px) rotate(180deg);
    }

    100% {
        transform: translateY(-100px) rotate(360deg);
        transform: translateX(-150px) rotate(360deg);
    }
}